package polling_station_dashboard.java;

import javafx.event.Event;
import javafx.event.EventHandler;
import javafx.scene.control.Control;
import java.util.HashMap;

/**
 * Created by Vladimir Eliezer Tokarev on 12/06/2016.
 * EventHandlerMapper maps events ids (that are part of polling station dashboard)
 * to the object that handles this specific event
 * when EventHandlerMapper gets specific event it activates the handle method of the object
 */
public class EventHandlerMapper {

    private HashMap<String, EventHandler<Event>> eventIdToHandler;

    public EventHandlerMapper()
    {
        this.eventIdToHandler = new HashMap<>();
    }

    public void Add(String eventId, EventHandler<Event> eventHandler)
    {
        this.eventIdToHandler.put(eventId, eventHandler);
    }

    public void Handle(Event event)
    {
        this.eventIdToHandler.get(((Control)event.getSource()).getId()).handle(event);
    }
}
